curl --request GET \
--url https://qwoty.app/api/product-parents \
--header 'Authorization: <authorization>'{
"success": true,
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"catalog_ids": ["660e8400-e29b-41d4-a716-446655440001"],
"product_ids": ["770e8400-e29b-41d4-a716-446655440002"],
"name": "Premium Widget",
"api_name": "premium_widget",
"recurrence_type": "recurring",
"reference": "PROD-001",
"description": "High-quality widget for professional use",
"is_active": true,
"id_crm": "crm_123",
"id_erp": "erp_456",
"id_accounting": "acc_789",
"created_at": "2024-12-21T10:30:00Z",
"updated_at": "2024-12-21T10:30:00Z"
}
]
}
Retrieve a list of all product parents in your workspace
curl --request GET \
--url https://qwoty.app/api/product-parents \
--header 'Authorization: <authorization>'{
"success": true,
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"catalog_ids": ["660e8400-e29b-41d4-a716-446655440001"],
"product_ids": ["770e8400-e29b-41d4-a716-446655440002"],
"name": "Premium Widget",
"api_name": "premium_widget",
"recurrence_type": "recurring",
"reference": "PROD-001",
"description": "High-quality widget for professional use",
"is_active": true,
"id_crm": "crm_123",
"id_erp": "erp_456",
"id_accounting": "acc_789",
"created_at": "2024-12-21T10:30:00Z",
"updated_at": "2024-12-21T10:30:00Z"
}
]
}
Bearer qwoty_your_tokencurl https://qwoty.app/api/product-parents \
-H "Authorization: Bearer qwoty_your_token"
Show Product Parent Object
one_off or recurring){
"success": true,
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"catalog_ids": ["660e8400-e29b-41d4-a716-446655440001"],
"product_ids": ["770e8400-e29b-41d4-a716-446655440002"],
"name": "Premium Widget",
"api_name": "premium_widget",
"recurrence_type": "recurring",
"reference": "PROD-001",
"description": "High-quality widget for professional use",
"is_active": true,
"id_crm": "crm_123",
"id_erp": "erp_456",
"id_accounting": "acc_789",
"created_at": "2024-12-21T10:30:00Z",
"updated_at": "2024-12-21T10:30:00Z"
}
]
}
{
"success": false,
"error": "Invalid API token"
}
Was this page helpful?